Форум русскоязычного сообщества Ubuntu


Автор Тема: dpkg: ../../src/packages.c:221: process_queue: Assertion `dependtry <= 4' failed  (Прочитано 1404 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Sasha Shveik

  • Автор темы
  • Любитель
  • *
  • Сообщений: 67
    • Просмотр профиля
сегодня устанавливал апдейты пакетов в системе. вылезла ошибка:
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.запустил dpkg --configure -a, в итоге ошибка:
dpkg: ../../src/packages.c:221: process_queue: Assertion `dependtry <= 4' failed.подскажите пожалуйста как это можно побороть.


Оффлайн Sasha Shveik

  • Автор темы
  • Любитель
  • *
  • Сообщений: 67
    • Просмотр профиля
еще при апдейте вот так загадочно ругается:
Processing triggers for man-db ...
dpkg: error processing libxine1-bin (--configure):
 package libxine1-bin is not ready for configuration
 cannot configure (current status `triggers-awaited')
dpkg: error processing libgtk2.0-doc (--configure):
 package libgtk2.0-doc is not ready for configuration
 cannot configure (current status `triggers-awaited')

Оффлайн Sasha Shveik

  • Автор темы
  • Любитель
  • *
  • Сообщений: 67
    • Просмотр профиля
если кому интересно, проблема решена следующим образом.
выполняю:
sudo aptitude reinstallрезультат:
...
The following partially installed packages will be configured:
  gxine libgtk2.0-doc libxine1 libxine1-bin libxine1-console libxine1-ffmpeg libxine1-gnome
  libxine1-misc-plugins libxine1-plugins libxine1-x
...
далее нужно сделать:
sudo dpkg -r gxine libgtk2.0-doc libxine1 libxine1-bin libxine1-console libxine1-ffmpeg libxine1-gnome libxine1-misc-plugins libxine1-plugins libxine1-xна все вопросы отвечать "да", а затем опять:
sudo aptitude reinstallтеперь при выполнении:
sudo aptitude updateошибок нет.

Оффлайн AlbusFalco

  • Новичок
  • *
  • Сообщений: 27
    • Просмотр профиля
Re: dpkg: ../../src/packages.c:221: process_queue: Assertion `dependtry <= 4' failed
« Ответ #3 : 01 Февраль 2009, 01:05:46 »
Спасибо за то, что отписал решение! проблема была почти такая же. Решил. аналогично :)

Оффлайн _k0t_

  • Любитель
  • *
  • Сообщений: 92
    • Просмотр профиля
Re: dpkg: ../../src/packages.c:221: process_queue: Assertion `dependtry <= 4' failed
« Ответ #4 : 03 Февраль 2009, 12:45:10 »
Примерно такая же ошибка. Такое же решение. Огромное спасибо автору.

 

Страница сгенерирована за 0.051 секунд. Запросов: 22.